Bug 771406 - Some table headers not rendering
Some table headers not rendering
Status: CLOSED CURRENTRELEASE
Product: RHQ Project
Classification: Other
Component: Core UI (Show other bugs)
4.2
Unspecified Unspecified
unspecified Severity unspecified (vote)
: ---
: ---
Assigned To: John Sanda
Mike Foley
:
Depends On:
Blocks: 694221
  Show dependency treegraph
 
Reported: 2012-01-03 11:19 EST by John Sanda
Modified: 2013-09-01 15:22 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-09-01 15:22:39 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description John Sanda 2012-01-03 11:19:14 EST
Description of problem:
In the feature/gwt-upgrade branch, some table headers are not rendering. I have observed this with tables on several different pages including,

* the drift compliance report
* the inventory summary report
* the subsystem reports
* drift definitions view
* the resource metrics table (Monitoring/Tables)

With the inventory summary and drift compliance reports, if I click on one of the resource types, the headers get rendered. And with the drift definitions view, the headers get rendered if I do a page refresh.

Version-Release number of selected component (if applicable):


How reproducible:


Steps to Reproduce:
1.
2.
3.
  
Actual results:


Expected results:


Additional info:
Comment 1 John Sanda 2012-01-03 11:40:27 EST
I observed this in Firefox 3.6.13, 8.0.1 and in Chrome 10.
Comment 2 John Sanda 2012-01-05 16:12:00 EST
Fix has been pushed to the feature/gwt-upgrade branch. In Table.java we were adding the ListGrid widget to its parent twice, once in onInit and then again in onDraw. Removing the call to addMember(listGrid) in onInit appears to have resolved the issue.

commit hash: de4e8c75177edc8efab2cfbd6c054b24f10f06a6
Comment 3 John Sanda 2012-02-17 11:44:30 EST
This has been merged into master.
Comment 4 Heiko W. Rupp 2013-09-01 15:22:39 EDT
Bulk closing of BZs that have no target version set, but which are ON_QA for more than a year and thus are in production for a long time.

Note You need to log in before you can comment on or make changes to this bug.